package com.iden.bms.init;



import com.iden.bms.service.FaceIdenService;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.DisposableBean;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;


@Component
public class FaceMonitorDestroy  implements DisposableBean {

    private static final Logger logger = LogManager.getLogger(FaceMonitorDestroy.class);

    @Resource
    private FaceIdenService faceIdenService;
    @Value("${init.face.dataset:#{null}}")
    private String initFaceDataset;

    @Override
    public void destroy() throws Exception {
        if("1".equals(initFaceDataset)) {
            logger.info("销毁人脸识别库 start ...........................");
            faceIdenService.destroyFaceDataset();
            logger.info("销毁人脸识别库 end ...........................");
        }
    }

}

